
From: Rainer Koenig <Rainer.Koenig@fujitsu-siemens.com>

Our new SIS based AMD desktop systems come with a very new SIS chipset that
has a Serial ATA controller that has the device ID 0x182.  Without this
patch the system won't be able to use the hard disk in native mode.  As a
proof of concept we patched the kernel on a system with an older SIS
chipset and then transfered the hard disk to the new system, looks like the
new chipset is compatible enough to run without problems.

Signed-off-by: Rainer Koenig <Rainer.Koenig@fujitsu-siemens.com>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/sata_sis.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/scsi/sata_sis.c~sata_sisc-introducing-device-id-0x182 drivers/scsi/sata_sis.c
--- devel/drivers/scsi/sata_sis.c~sata_sisc-introducing-device-id-0x182	2005-08-21 21:39:54.000000000 -0700
+++ devel-akpm/drivers/scsi/sata_sis.c	2005-08-21 21:39:54.000000000 -0700
@@ -62,6 +62,7 @@ static void sis_scr_write (struct ata_po
 static struct pci_device_id sis_pci_tbl[] = {
 	{ PCI_VENDOR_ID_SI, 0x180, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sis_180 },
 	{ PCI_VENDOR_ID_SI, 0x181, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sis_180 },
+	{ PCI_VENDOR_ID_SI, 0x182, PCI_ANY_ID, PCI_ANY_ID, 0, 0, sis_180 },
 	{ }	/* terminate list */
 };
 
_
